use crate::typing::message_typed::ClientMessageData;
use futures::SinkExt;
use tungstenite::{Error, Message};
// 处理其他类型消息
pub(crate) async fn handle_other_message(
    // 增加 + std::marker::Unpin 限制
    sender: &mut (impl SinkExt<Message, Error = Error> + Unpin),
    data: &ClientMessageData,
    from_id: &str,
) -> Result<(), Error> {
    println!("收到客户端消息: {:?}", data);

    Ok(())
}
